ほとんどすべてのライブラリをインストールするpipの問題

| | | | | | |

pipを使用してほとんどすべてのものをインストールするのに苦労しています。私はコーディングに慣れていないので、これは私が間違っていたことだと思い、easy_installを選択して、必要なことのほとんどを実行しました。これは一般的に機能しています。ただし、現在、nltkライブラリをダウンロードしようとしていますが、どちらも実行されていません。

入力してみました

  sudo pip install nltk  

ただし、次の応答があります:

  /Library/Frameworks/Python.framework/Versions/2.7/bin/pip run on Sat May 4 00:15:38 2013 Downloading / unpackingnltkページの取得https://pypi.python.org/simple/nltk/URLを取得できませんでした[リンクを投稿するにはさらに評判が必要です]:ssl証明書の確認で問題が発生しました:<urlopenエラー[Errno1] _ssl .c:504:エラー:0D0890A1:asn1エンコーディングルーチン:ASN1_verify:不明なメッセージダイジェストアルゴリズム>nltkのダウンロードリンクを検索するときにURL[リンクを投稿するにはより多くの評判が必要]/ simple /nltk/をスキップします投稿リンク]/simple / URLをフェッチできませんでしたhttps://pypi.python。org / simple /:ssl証明書の確認で問題が発生しました:<urlopenエラー[Errno1] _ssl.c:504:エラー:0D0890A1: asn1エンコーディングルーチン:ASN1_verify:不明なメッセージダイジェストal gorithm> nltkのダウンロードリンクを検索するときにURL[リンクを投稿するためにより多くの評判が必要]をスキップしますインデックスベースURLをフェッチできません[リンクを投稿するためにより多くの評判が必要]nltkのバージョンを検索するためのURL:*[リンクを投稿するためにより多くの評判が必要]ページを取得[リンクを投稿するためにより多くの評判が必要]URLをフェッチできませんでした[リンクを投稿するためにより多くの評判が必要]:ssl証明書の確認に問題がありました:<urlopenエラー[Errno1] _ssl.c:504:エラー:0D0890A1:asn1エンコーディングルーチン:ASN1_verify:不明なメッセージダイジェストアルゴリズム> nltkのダウンロードリンクを探すときにURLをスキップします[リンクを投稿するにはより多くの評判が必要です]nltkの要件を満たすダウンロードが見つかりませんでしたnltkのディストリビューションがまったく見つかりません例外情報:トレースバック(最後の最後の呼び出し):ファイル "/ Library /Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.3.1-py2.7.egg/pip/basecommand.py "、139行目、メインステータス= self.run (オプション、引数)ファイル "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip-1.3.1-py2.7.egg/pip/commands/install.py" 、行266、実行requirement_set.prepare_files(finder、force_root_egg_info = self.bundle、bundle = self.bundle)ファイル "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pip -1.3.1-py2.7.egg / pip / req.py "、行1026、prepare_files url = finder.find_requirement(req_to_install、upgrade = self.upgrade)ファイル" /Library/Frameworks/Python.framework/Versions/ 2.7 / lib / python2.7 / site-packages / pip-1.3.1-py2.7.egg / pip / index.py "、lin e 171、find_requirement raise DistributionNotFound( "%sのディストリビューションがまったく見つかりません"%req)DistributionNotFound:nltk --easy_installがインストールされたライブラリのフラグメントのディストリビューションがまったく見つかりませんでした。実行しようとすると、コードがすぐに問題になりました。それ。  

この問題について何か考えはありますか?その間にpipを機能させる方法や、問題を回避するための方法について、フィードバックをいただければ幸いです。